Subject: Re: [PATCH 00/16] Header cleanups

From: Derrick Stolee <[email-masked]>
Date: Thu, 23 Feb 2023 09:27:16 -0500

On 2/23/2023 3:05 AM, Elijah Newren via GitGitGadget wrote:

> This series cleans up headers a bit, trying to remove excessive dependency
> on "cache.h". I created this series a while ago, but decided to clean it up
> and submit it due to Emily's recent thread and suggestion that this might be
> helpful to their efforts[1].

Thanks for doing this cleanup. It certainly doesn't look like an easy task.

I read the patches carefully and tried to point out anything that looked
fishy and not fully supported by the commit message. However, some things
are probably only fishy because it was the least-complicated time to make
that change.

I'd be happy with this series as-is, allowing further improvements on top.
I just wanted to poke a little at these bits that were not super-clear in
case there was a possible improvement.

Thanks,
-Stolee